#include "cnrt.h"
#include "string.h"
#include "ploy_nms_kernel.h"
#include "stdio.h"


int main(void)
{
  // 初始化设备
  cnrtDev_t dev;
  cnrtRet_t ret;
  cnrtInit(0);
  cnrtGetDeviceHandle(&dev, 0);
  cnrtSetCurrentDevice(dev);
  cnrtStream_t pStream;
  cnrtCreateStream(&pStream);
  cnrtDim3_t dim;
  dim.x = 1; 
  dim.y = 1;
  dim.z = 1;

  cnrtFunctionType_t c = CNRT_FUNC_TYPE_BLOCK; 

  cnrtKernelParamsBuffer_t params;

  ret = cnrtInvokeKernel(reinterpret_cast<void **>(&PloyNMSKernel), dim, params, c, pStream);

  ret = cnrtSyncStream(pStream);

  ret = cnrtDestroyStream(pStream);
  cnrtDestroy();


  
}
